{% import 'macros/form.html' as form %}
{% import 'macros/wysiwyg.html' as wysiwyg %}

{% set data = data or {} %}
{% set errors = errors or {} %}

{% if type == 'org' %}
    {% set prefix = 'organization_pages_' %}
    {% set args = {'id': id} %}
{% elif type == 'group' %}
    {% set prefix = 'group_pages_' %}
    {% set args = {'id': id} %}
{% elif type == 'blog' %}
    {% set prefix = 'blog_' %}
    {% set args = {} %}
{% else %}
    {% set prefix = 'pages_' %}
    {% set args = {} %}
{% endif %}
{% set page_url = '/' + page %}
{% set action_url = h.url_for(prefix + 'edit', page=page_url, **args) %}
{% set cancel_url = h.url_for(prefix + 'index', **args) %}
{% set slug_prefix = cancel_url ~ '/' %}
{% set slug_domain = h.url_for(prefix + 'index', qualified=true, **args) %}
{% if page %}
   {% set delete_url = h.url_for(prefix + 'delete', page=page_url, **args) %}
{% endif %}

{% if type == 'blog' %}
    {% if not page %}
      <h1>{{ _('Tambah Infografis') }}</h1>
    {% else %}
      <h1>{{ _('Edit Infografis') }}</h1>
    {% endif %}
    {% set url_placeholder = 'eg. my-blog-article' %}
    {% set title_placeholder = _('eg. Blog Article Title') %}
{% else %}
    {% if not page %}
      <h1>{{ _('Tambah Visualisasi') }}</h1>
    {% else %}
      <h1>{{ _('Edit Visualisasi') }}</h1>
    {% endif %}
    {% set url_placeholder = 'eg. my-page' %}
    {% set title_placeholder = _('eg. Page Title') %}
{% endif %}

<style>
  .form-horizontal .form-group{
    margin-left: 0px !important; 
    margin-right: 0px !important;
  }

  .form-group{
    margin-bottom: 0px !important;
  }

  input{
    display: block;
    width: 100%;
    height: 34px;
    padding: 6px 12px;
    font-size: 14px;
    line-height: 1.42857143;
    color: #555555;
    background-color: #ffffff;
    background-image: none;
    border: 1px solid #cccccc;
    border-radius: 4px;
    -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,0.075);
    box-shadow: inset 0 1px 1px rgba(0,0,0,0.075);
    -webkit-transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
    -o-transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
    transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s
  }
</style>

<form class="form-horizontal" method="post" action="{{ action_url }}" data-module="basic-form" class="control-label">

  
  {{ form.input('title', id='field-title', label=_('Title'), placeholder=title_placeholder, value=data.title, error=errors.title, classes=[], attrs={'data-module': 'slug-preview-target'}) }}

  {% set domain = slug_domain|replace("http://", "")|replace("https://", "") %}
  {% set attrs = {'data-module': 'slug-preview-slug', 'data-module-prefix': domain~'/', 'data-module-placeholder': '<page>'} %}
  {{ form.prepend('name', id='field-name', label=_('URL'), prepend=slug_prefix, placeholder=_(url_placeholder), value=data.name, error=errors.name, attrs=attrs) }}

  {{ form.input('publish_date', id='field-publish_date', label=_('Publish Date'), placeholder=_('2005-01-01'), value=data.publish_date, error=errors.publish_date, classes=[], attrs={'data-module': 'datepicker', 'data-date-format': 'yyyy-mm-dd'}) }}
  
  {% block extra_pages_form %}
  {% endblock extra_pages_form %}

  {#{{ form.input('name', id='field-name', label=_('Name'), placeholder=_('my-name'), value=data.name, error=errors.name, classes=['control-full']) }}#}

  <div class="control-group">
    <label for="field-private" class="control-label">{{ _('Visibility') }}</label>
    <div class="controls">
      <select id="field-private" class="form-control" name="private">
        {% for option in [(true, _('Private')), (false, _('Public'))] %}
        <option value="{{ option[0] }}" {% if option[0] == data.private %}selected="selected"{% endif %}>{{ option[1] }}</option>
        {% endfor %}
      </select>
    </div>
  </div>

  {% if not hide_field_order %}
    <div class="control-group">
      <label for="field-order" class="control-label">{{ _('Menu Order') }}</label>
      <div class="controls">
        <select id="field-order" class="form-control" name="order">
            {% for option in [('', _('Not in Menu')), ('1','1'), ('2', '2'), ('3', '3') , ('4', '4')] %}
          <option value="{{ option[0] }}" {% if option[0] == data.order %}selected="selected"{% endif %}>{{ option[1] }}</option>
          {% endfor %}
        </select>
      </div>
    </div>
  {% endif %}

  {% set editor = h.get_wysiwyg_editor() %}
  {% if editor == 'medium' %}
    {{ wysiwyg.editor('content', id='field-content', label=_('Content'), placeholder=_('Enter content here'), value=data.content|safe, error=errors.content) }}
  {% elif editor == 'ckeditor' %}
    {% resource 'ckanext-pages/main' %}
    <div class="control-group">
        <label for="field-content-ck" class="control-label">{{ _('Content') }}</label>
    </div>
    <textarea id="field-content-ck" name="content" placeholder="{{_('My content')}}" data-module="ckedit" style="height:400px" data-module-site_url="{{ h.dump_json(h.url('/', locale='default', qualified=true)) }}"> {{ data.content }}</textarea>
  {% else %}
    {{ form.markdown('content', id='field-content', label=_('Content'), placeholder=_('Enter content here'), value=data.content, error=errors.content) }}
  {% endif %}

  <div class="form-actions" style="margin-top: 20px;">
    {% if not page %}
      <a class="btn btn-danger pull-left" href="{{ cancel_url }}">{{ _('Cancel') }}</a>
      <button class="btn btn-primary" name="save" value="save" type="submit">{{ _('Add') }}</button>
    {% else %}

      {% block delete_button %}
        {% if h.check_access('ckanext_pages_delete', {'id': data.id})  %}
          {% set locale = h.dump_json({'content': _('Are you sure you want to delete this Page?')}) %}
          <a class="btn btn-danger pull-left" href="{{ delete_url }}" data-module="confirm-action" data-module-i18n="{{ locale }}">{% block delete_button_text %}{{ _('Delete') }}{% endblock %}</a>
        {% endif %}
      {% endblock %}

      <button class="btn btn-primary" name="save" value="save" type="submit">{{ _('Save') }}</button>
    {% endif %}
  </div>

</form>
